Get Campaign Teams
curl --request GET \
--url https://api.crowdchange.dev/v2/private/fundraiser/{id}/teams \
--header 'Authorization: <api-key>'import requests
url = "https://api.crowdchange.dev/v2/private/fundraiser/{id}/teams"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.crowdchange.dev/v2/private/fundraiser/{id}/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"name": "Team A",
"amount_goal": 1000,
"amount_raised": 550,
"url": "https://demo.crowdchange.dev/1/team/2",
"language": "en",
"fundraiser": {
"id": 101,
"name": "Gala Night",
"tags_list": [
"tag1",
"tag2"
]
},
"user": {
"id": 1,
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr.",
"email": "john@crowdchange.co"
},
"n_donors": 100,
"n_pages": 50,
"created_at": "2022-01-01 16:00:03",
"custom_data": [
{
"field_id": 1001,
"source_id": 11,
"name": "Phone Number",
"content": "555-123-4567",
"field_custom_id": "ABC-123",
"response_custom_id": "ABC-123"
}
]
}
]
Campaign-Specific APIs
Get Campaign Teams
Search teams registered under a CrowdChange campaign by keyword and retrieve a paginated list with captain, goal, and raised totals for each.
GET
/
v2
/
private
/
fundraiser
/
{id}
/
teams
Get Campaign Teams
Path parameters
integer
required
Fundraiser ID.
Query parameters
string
Search term.
integer
Page number. Default:
1integer
Number of results to return. Default:
100string
Key to sort by. Allowed values:
id, name, amount_raised, amount_goalstring
Direction of sorting. Allowed values:
asc, descResponse
Returns an array of objects with the following fields.integer
Team ID.
string
Team name.
number
Goal amount.
number
Amount raised by the team.
string
Full URL to team’s page.
string
Team language. Allowed values:
en, frobject
integer
Number of donors.
integer
Number of pages.
string
Team creation date.
object[]
List of custom questions and responses.
Show properties
Show properties
| Status | Description |
|---|---|
400 | Bad Request |
401 | Unauthorized |
403 | Forbidden |
[
{
"id": 1,
"name": "Team A",
"amount_goal": 1000,
"amount_raised": 550,
"url": "https://demo.crowdchange.dev/1/team/2",
"language": "en",
"fundraiser": {
"id": 101,
"name": "Gala Night",
"tags_list": [
"tag1",
"tag2"
]
},
"user": {
"id": 1,
"name": "John Snow",
"first_name": "John",
"last_name": "Snow",
"title": "Mr.",
"email": "john@crowdchange.co"
},
"n_donors": 100,
"n_pages": 50,
"created_at": "2022-01-01 16:00:03",
"custom_data": [
{
"field_id": 1001,
"source_id": 11,
"name": "Phone Number",
"content": "555-123-4567",
"field_custom_id": "ABC-123",
"response_custom_id": "ABC-123"
}
]
}
]
Was this page helpful?
⌘I